##### 7.5.10.0. makeUsp1

Procedure from library `ncalg.lib` (see ncalg_lib).

Usage:
  makeUsp1([p]); p an optional integer (field characteristic)

Return:
  a ring, describing U(sp_1)

Note:
  You have to activate this ring with the 'setring' command. The presentation of U(sp_1) is derived from the Chevalley representation of sp_1, positive resp. negative roots are denoted by x(i) resp. y(i); Cartan elements are denoted by h(i).

Example:

    LIB "ncalg.lib";
    def ncAlgebra = makeUsp1();
    setring ncAlgebra;
    ncAlgebra;
    ==> // coefficients: QQ considered as a field
    ==> // number of vars : 3
    ==> //        block   1 : ordering dp
    ==> //                  : names    X(1) Y(1) H(1)
    ==> //        block   2 : ordering C
    ==> // noncommutative relations:
    ==> //    Y(1)X(1)=X(1)*Y(1)-H(1)
    ==> //    H(1)X(1)=X(1)*H(1)+2*X(1)
    ==> //    H(1)Y(1)=Y(1)*H(1)-2*Y(1)

See also: makeUe6; makeUe7; makeUe8; makeUf4; makeUg2; makeUsl; makeUso5.

User manual for Singular version 4.4.1, 2025, generated by texi2html.